Package org.apache.sysds.runtime.lineage

# Enum Class LineageCacheConfig.LineageCachePolicy

java.lang.Object
java.lang.Enum<LineageCacheConfig.LineageCachePolicy>
org.apache.sysds.runtime.lineage.LineageCacheConfig.LineageCachePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<LineageCacheConfig.LineageCachePolicy>`, `Constable`

Enclosing class:
  LineageCacheConfig

public static enum LineageCacheConfig.LineageCachePolicy extends Enum<LineageCacheConfig.LineageCachePolicy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COSTNSIZE`
`DAGHEIGHT`
`LRU`

## Method Summary

Modifier and Type
Method
Description
`static LineageCacheConfig.LineageCachePolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LineageCacheConfig.LineageCachePolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LRU

public static final LineageCacheConfig.LineageCachePolicy LRU

### COSTNSIZE

public static final LineageCacheConfig.LineageCachePolicy COSTNSIZE

### DAGHEIGHT

public static final LineageCacheConfig.LineageCachePolicy DAGHEIGHT

## Method Details

### values

public static LineageCacheConfig.LineageCachePolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LineageCacheConfig.LineageCachePolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null